Page MenuHomePhabricator

[OpenCL] Initial patch for OpenCL C 3.0 support
ClosedPublic

Authored by azabaznov on Sep 25 2020, 6:32 AM.

Details

Summary

Add new option and predefined macros for OpenCL C 3.0 version.

Diff Detail

Event Timeline

azabaznov created this revision.Sep 25 2020, 6:32 AM
azabaznov requested review of this revision.Sep 25 2020, 6:32 AM
azabaznov updated this revision to Diff 294298.Sep 25 2020, 6:44 AM
svenvh added a subscriber: svenvh.Sep 28 2020, 1:50 AM
kpet added a subscriber: kpet.Sep 29 2020, 10:28 AM

LGTM! I'd suggest waiting a bit before committing this though, to give people time to catch up on the RFC.

LGTM! I'd suggest waiting a bit before committing this though, to give people time to catch up on the RFC.

Thanks! Sure, I'm agree with that, let's wait.

Anastasia accepted this revision.Sep 30 2020, 3:41 AM

LGTM! Thanks! Even though I don't imagine the discussion on the RFC (http://lists.llvm.org/pipermail/cfe-dev/2020-September/066883.html) will affect this functionality I think it's good to give some extra time to react when starting the implementation of such big features.

It is probably better to commit this next week.

This revision is now accepted and ready to land.Sep 30 2020, 3:41 AM

I think it should be ok to proceed with this now.

svenvh accepted this revision.Oct 9 2020, 3:15 AM

Anastasia, Sven, thanks for the review! Anastasia, it seems that I don't have write access yet. Would you mind landing this change on behalf of me? Thanks!

This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptOct 9 2020, 7:29 AM